## kontactinterface 25.08.2+p24.04+vstable+git20251019.0304

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vstable+git20251019.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:04:38 +0000

=== debian/control ===
Source: kontactinterface
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kontactinterface
Vcs-Git: https://invent.kde.org/neon/kde/kontactinterface.git
Vcs-Browser: https://invent.kde.org/neon/kde/kontactinterface
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kontactinterface
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5kontactinterface-data,
          libkf5kontactinterface5,
          libkf6kontactinterface-data,
          libkf6kontactinterface6,
          libkpim6kontactinterface-data,
          libkpim6kontactinterface6
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).

Package: kpim6-kontactinterface-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kio-dev,
         kf6-kparts-dev,
         kpim6-kontactinterface (= ${binary:Version}),
         ${misc:Depends}
Replaces: libkf5kontactinterface-dev,
          libkf6kontactinterface-dev,
          libkpim6kontactinterface-dev
Description: Kontact interface library - development files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains the development files.

Package: libkpim6kontactinterface6
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface6
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface5
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kontactinterface 25.08.2+p24.04+vunstable+git20251013.0449

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(KontactInterface VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMSetupQtPluginMacroNames)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

add_definitions(-DTRANSLATION_DOMAIN=\"kontactinterfaces6\")

set(KONTACTINTERFACE_LIB_VERSION ${PIM_VERSION})
set(CMAKECONFIG_INSTALL_DIR
    "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6KontactInterface"
)

ecm_setup_version(PROJECT VARIABLE_PREFIX KONTACTINTERFACE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kontactinterface_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6KontactInterfaceConfigVersion.cmake"
                        SOVERSION 6
)

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        EXPORT_KONTACT_PLUGIN_WITH_JSON
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

find_package(Qt6Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
endif()

########### Find packages ###########
find_package(
    KF6
    ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS CoreAddons Parts WindowSystem I18n XmlGui
)

if(NOT APPLE AND NOT WIN32)
    find_package(X11 REQUIRED)
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.18.0
)
set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})

add_subdirectory(src)

configure_file(
    config-kontactinterface.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kontactinterface.h
)
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6KontactInterface_QCH
        FILE KPim6KontactInterfaceQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6KontactInterfaceQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimKontactInterfaceConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6KontactInterfaceConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

########### Install Files ###########
install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6KontactInterfaceConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6KontactInterfaceConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/kontactinterface_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KontactInterface
    COMPONENT Devel
)

install(
    EXPORT KPim6KontactInterfaceTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6KontactInterfaceTargets.cmake
    NAMESPACE KPim6::
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vunstable+git20251013.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 04:49:47 +0000

## kontactinterface 25.08.2+p24.04+vunstable+git20251015.1326

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vunstable+git20251015.1326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:26:02 +0000

## kontactinterface 25.08.2+p24.04+vunstable+git20251020.1144

=== CMakeLists.txt ===
--- 
+++ 
@@ -107,7 +107,7 @@
 endif()
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.18.0
+     KF 6.19.0
 )
 set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vunstable+git20251020.1144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:44:08 +0000

## kontactinterface 25.08.2+p24.04+vunstable+git20251022.0244

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kontactinterface (25.08.2+p24.04+vunstable+git20251022.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:44:27 +0000

## kontactinterface 25.08.3

=== debian/changelog ===
kontactinterface (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:22:22 +0100

=== debian/control ===
Source: kontactinterface
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libx11-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kontactinterface
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
Rules-Requires-Root: no

Package: libkontactinterface-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Kontact interface library - data files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains shared data files.

Package: libkontactinterface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6parts-dev (>= 6.14.0~),
         libkpim6kontactinterface6 (= ${binary:Version}),
         ${misc:Depends},
Description: Kontact interface library - development files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains the development files.

Package: libkpim6kontactinterface6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkontactinterface-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).

## kontactinterface 25.08.3+p24.04+vunstable+git20251202.1046

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -107,7 +107,7 @@
 endif()
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.19.0
+     KF 6.20.0
 )
 set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})

=== debian/changelog ===
kontactinterface (25.08.3+p24.04+vunstable+git20251202.1046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:46:33 +0000

kontactinterface (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:10 +1000

## kontactinterface 25.08.3+p24.04+vunstable+git20251206.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kontactinterface (25.08.3+p24.04+vunstable+git20251206.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:27:09 +0000

## kontactinterface 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kontactinterface (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:25 +0000

kontactinterface (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:16:45 +0000

kontactinterface (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:50:57 +0100

## kontactinterface 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(KontactInterface VERSION ${PIM_VERSION})

=== debian/changelog ===
kontactinterface (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:26 +0000

## kontactinterface 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 project(KontactInterface VERSION ${PIM_VERSION})

=== debian/changelog ===
kontactinterface (25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:31:27 +0000

kontactinterface (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:37 +1000

## kontactinterface 25.12.0+p24.04+vstable+git20251208.2035

=== debian/changelog ===
kontactinterface (25.12.0+p24.04+vstable+git20251208.2035-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:35:08 +0000

## kontactinterface 25.12.0+p24.04+vstable+git20251222.0545

=== debian/changelog ===
kontactinterface (25.12.0+p24.04+vstable+git20251222.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:45:50 +0000

## kontactinterface 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 
 project(KontactInterface VERSION ${PIM_VERSION})

=== debian/changelog ===
kontactinterface (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:19 +0100

kontactinterface (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:46:20 +0100

kontactinterface (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
                gettext,
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6parts-dev (>= 6.14.0~),
-               libkf6windowsystem-dev (>= 6.14.0~),
-               libkf6xmlgui-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6parts-dev (>= 6.18.0~),
+               libkf6windowsystem-dev (>= 6.18.0~),
+               libkf6xmlgui-dev (>= 6.18.0~),
                libx11-dev,
                qt6-base-dev (>= 6.8.0~),
                qt6-base-private-dev (>= 6.8.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kontactinterface
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontactinterface
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontactinterface.git
@@ -37,7 +37,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6parts-dev (>= 6.14.0~),
+Depends: libkf6parts-dev (>= 6.18.0~),
          libkpim6kontactinterface6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Kontact interface library - development files

## kontactinterface 25.12.1+p24.04+vstable+git20260106.2340

=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vstable+git20260106.2340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:40:00 +0000

kontactinterface (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:02 +1000

## kontactinterface 25.12.1+p24.04+vstable+git20260111.0549

=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vstable+git20260111.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 05:49:24 +0000

## kontactinterface 25.12.1+p24.04+vunstable+git20260106.2340

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -31,31 +31,49 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(
+            STATUS
+            "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook"
+        )
+        execute_process(
+            COMMAND "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(
+            WARNING
+            "This module has pre-commit support. pre-commit binary was not found."
+        )
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 include(ECMSetupQtPluginMacroNames)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 
 include(ECMCheckOutboundLicense)
 file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
-
-option(
-    BUILD_QCH
-    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-    OFF
-)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kontactinterfaces6\")
 
@@ -71,7 +89,7 @@
 )
 
 ecm_setup_qtplugin_macro_names(
-    JSON_ARG2
+    MACRO_NAMES
         EXPORT_KONTACT_PLUGIN_WITH_JSON
     CONFIG_CODE_VARIABLE
         PACKAGE_SETUP_AUTOMOC_VARIABLES
@@ -106,8 +124,13 @@
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
 endif()
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0
+     KF 6.21.0
 )
 set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})
 
@@ -117,17 +140,6 @@
     config-kontactinterface.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/config-kontactinterface.h
 )
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KPim6KontactInterface_QCH
-        FILE KPim6KontactInterfaceQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS
-        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6KontactInterfaceQchTargets.cmake\")"
-    )
-endif()
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KPimKontactInterfaceConfig.cmake.in"

## kontactinterface 25.12.1+p24.04+vunstable+git20260118.0123

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 set(PIM_VERSION "6.6.40")
 
 project(KontactInterface VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.21.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -130,9 +130,20 @@
     string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
 endif()
 ecm_set_disabled_deprecation_versions(QT 6.11.0
-     KF 6.21.0
+     KF 6.22.0
 )
 set(KONTACTINTERFACE_HAVE_X11 ${X11_FOUND})
+
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
+endif()
 
 add_subdirectory(src)

=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vunstable+git20260118.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 01:23:06 +0000

=== debian/control ===
Source: kontactinterface
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse,
               spdx-licenses
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kontactinterface
Vcs-Git: https://invent.kde.org/neon/kde/kontactinterface.git
Vcs-Browser: https://invent.kde.org/neon/kde/kontactinterface
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kontactinterface
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5kontactinterface-data,
          libkf5kontactinterface5,
          libkf6kontactinterface-data,
          libkf6kontactinterface6,
          libkpim6kontactinterface-data,
          libkpim6kontactinterface6
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).

Package: kpim6-kontactinterface-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kio-dev,
         kf6-kparts-dev,
         kpim6-kontactinterface (= ${binary:Version}),
         ${misc:Depends}
Replaces: libkf5kontactinterface-dev,
          libkf6kontactinterface-dev,
          libkpim6kontactinterface-dev
Description: Kontact interface library - development files
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package contains the development files.

Package: libkpim6kontactinterface6
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface6
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface5
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface-data
Architecture: all
Depends: kpim6-kontactinterface, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kontactinterface-dev
Architecture: all
Depends: kpim6-kontactinterface-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kontactinterface 25.12.1+p24.04+vunstable+git20260126.0922

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

add_library(KPim6KontactInterface)
add_library(KPim6::KontactInterface ALIAS KPim6KontactInterface)

target_sources(
    KPim6KontactInterface
    PRIVATE
        core.cpp
        plugin.cpp
        summary.cpp
        processes.cpp
        uniqueapphandler.cpp
        pimuniqueapplication.cpp
        processes.h
        core.h
        plugin.h
        uniqueapphandler.h
        pimuniqueapplication.h
        summary.h
)

ecm_qt_declare_logging_category(KPim6KontactInterface HEADER kontactinterface_debug.h IDENTIFIER KONTACTINTERFACE_LOG CATEGORY_NAME org.kde.pim.kontactinterface
        OLD_CATEGORY_NAMES log_kontactinterface
        DESCRIPTION "kontactinterface (pim lib)" EXPORT KONTACTINTERFACE
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6KontactInterface PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_export_header(KPim6KontactInterface
    BASE_NAME kontactinterface
    VERSION ${KONTACTINTERFACE_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(
    KPim6KontactInterface
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KontactInterface>"
)
target_include_directories(
    KPim6KontactInterface
    PUBLIC
        "$<BUILD_INTERFACE:${KontactInterface_SOURCE_DIR}/src;${KontactInterface_BINARY_DIR}/src;${KontactInterface_BINARY_DIR}>"
)

target_link_libraries(
    KPim6KontactInterface
    PUBLIC KF6::CoreAddons KF6::Parts KF6::XmlGui
    PRIVATE KF6::WindowSystem KF6::I18n KF6::KIOGui Qt::DBus
)

if(KONTACTINTERFACE_HAVE_X11)
    target_link_libraries(KPim6KontactInterface PRIVATE Qt::GuiPrivate)
endif()

set_target_properties(
    KPim6KontactInterface
    PROPERTIES
        VERSION ${KONTACTINTERFACE_VERSION}
        SOVERSION ${KONTACTINTERFACE_SOVERSION}
        EXPORT_NAME KontactInterface
)

install(
    TARGETS KPim6KontactInterface
    EXPORT KPim6KontactInterfaceTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### install files ###############

ecm_generate_headers(KontactInterface_CamelCase_HEADERS
  HEADER_NAMES
  Core
  PimUniqueApplication
  Plugin
  Summary
  UniqueAppHandler
  Processes
  PREFIX KontactInterface
  REQUIRED_HEADERS KontactInterface_HEADERS
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kontactinterface_export.h
        ${KontactInterface_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/KontactInterface/kontactinterface
    COMPONENT Devel
)

install(
    FILES ${KontactInterface_CamelCase_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/KontactInterface/KontactInterface/
    COMPONENT Devel
)

ecm_qt_install_logging_categories(EXPORT KONTACTINTERFACE FILE kontactinterface.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
ecm_generate_qdoc(KPim6KontactInterface kontactinterface.qdocconf)

=== debian/changelog ===
kontactinterface (25.12.1+p24.04+vunstable+git20260126.0922-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:22:22 +0000

## kontactinterface 25.12.2

=== debian/changelog ===
kontactinterface (25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:54:49 +0000

kontactinterface (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:41:48 +0000

kontactinterface (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:06 +0000

kontactinterface (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:02 +0000
